classification
Title: PKG-INFO file should differentiate between authors and maintainers
Type: enhancement Stage:
Components: Distutils2 Versions: Python 3.1, Python 2.7
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: tarek Nosy List: akitada, lemburg, merwok, tarek
Priority: normal Keywords:

Created on 2008-08-26 08:32 by lemburg, last changed 2010-05-16 12:39 by tarek. This issue is now closed.

Messages (4)
msg71970 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2008-08-26 08:32
The PKG-INFO file currently only provides an "Authors" field which is
mapped to the DistributionMetadata.get_contact() information.

However, the latter method is really meant to provide access to contact
information and not authorship, which is why it prefers the maintainer
infos over the actual author infos.

As a result, the maintainer can appear as author in the PKG-INFO file,
which is wrong.

Ideal would be to have both an "Author" and "Maintainer" field in the
PKG-FILE with 1-1 mappings to the setup() parameters.
msg81368 - (view) Author: Akira Kitada (akitada) * Date: 2009-02-08 09:51
Maintainer field is not specified in PEP 241, PEP 314 and even PEP 345.
Can we add this field to PEP 345?
msg81369 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-02-08 09:56
The point is, the current implementation of Distutils will take the
maintainer *or* the author for the Author field.

So this relates to #962772 : do we want to keep maintainer and
maintainer_email at all ?

I'll push a mail in Distutils-SIG about this.
msg105865 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-05-16 12:39
This is now defined in PEP 345 and implemented in Distutils2.
History
Date User Action Args
2010-05-16 12:39:35tareksetstatus: open -> closed

messages: + msg105865
components: + Distutils2, - Distutils
nosy: lemburg, tarek, merwok, akitada
2010-05-15 23:49:38merwoksetnosy: + merwok
2009-02-08 09:56:25tareksetassignee: tarek
messages: + msg81369
2009-02-08 09:51:58akitadasetnosy: + tarek, akitada
type: enhancement
messages: + msg81368
2008-08-26 08:32:32lemburgcreate